import request from '@/utils/request'

//设备管理-通信设备-查询
export function correspondDeviceList(params) {
    return request({
        url: '/device/correspondDeviceList',
        method: 'GET',
        params,
    })
}

//设备管理-通信设备-修改
export function correspondDeviceUpdate(params) {
    return request({
        url: '/device/correspondDeviceUpdate',
        method: 'POST',
        data: params,
    })
}

//设备管理-通信设备-新增
export function correspondDeviceAdd(params) {
    return request({
        url: '/device/correspondDeviceAdd',
        method: 'POST',
        data: params,
    })
}

//设备管理-通信设备-注销
export function correspondDeviceDel(params) {
    return request({
        url: '/device/correspondDeviceDel',
        method: 'GET',
        params,
    })
}

//设备管理-通信设备-克隆
export function variableCloning(params) {
    return request({
        url: '/device/variableCloning',
        method: 'GET',
        params,
    })
}

//通信设备--通信设备-克隆-设备下拉框查询
export function deviceList(params) {
    return request({
        url: '/device/deviceList',
        method: 'GET',
        params,
    })
}


//站点管理-通信设备-导出
export function deviceExport(params) {
    return request({
        url: '/device/correspondDeviceExport',
        method: 'GET',
        params,
    })
}














